FROM ubuntu:18.04
RUN apt update
RUN apt install -y python3 python3-pip python3-dev build-essential screen sudo psmisc
RUN pip3 install merklelib
RUN pip3 install pynacl
RUN groupadd -g GROUP_ID walkingo
RUN useradd -g walkingo -u USER_ID -m -s /bin/bash walkingo
RUN adduser walkingo sudo
RUN echo '%sudo ALL=(ALL) NOPASSWD:ALL' >> /etc/sudoers
USER walkingo
WORKDIR /home/walkingo
ENV SHELL=/bin/bash

COPY --chown=walkingo:walkingo client.py dirauth.py network.py relay.py simulator.py .screenrc ./
